package carfactory;

public abstract class RobotWorker extends Thread {
	protected String name;
	protected  ConveyorBelt conveyorBelt;
	protected  Supplier supplier;
	protected  Car car;
	
	public RobotWorker(String name, ConveyorBelt conveyorBelt, Supplier supplier, Car car) {
		this.name = name;
		this.conveyorBelt = conveyorBelt;
		this.supplier = supplier;
		this.car = car;
	}
	
	protected void finish() {
		System.out.println(name + ": Task completed.");
	}
}
